GDB (xrefs)

Functions
i386.h File Reference
`#include "tdesc.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Functions
target_desc * | i386_create_target_description (uint64_t xcr0, bool is_linux)

## Function Documentation

## ◆ i386_create_target_description()

target_desc* i386_create_target_description | ( | uint64_t | xcr0,
|  | bool | is_linux
| ) |  |

Definition at line 34 of file i386.c.

References allocate_target_description(), create_feature_i386_32bit_avx(), create_feature_i386_32bit_avx512(), create_feature_i386_32bit_core(), create_feature_i386_32bit_linux(), create_feature_i386_32bit_mpx(), create_feature_i386_32bit_pkeys(), create_feature_i386_32bit_sse(), regnum, set_tdesc_architecture(), set_tdesc_osabi(), X86_XSTATE_AVX, X86_XSTATE_AVX512, X86_XSTATE_MPX, X86_XSTATE_PKRU, X86_XSTATE_SSE, and X86_XSTATE_X87.

Referenced by i386_linux_read_description(), and i386_target_description().